.needs_window: &needs_window
  date:
    attribute: created_at
    condition: newer_than
    interval_type: months
    interval: 1

resource_rules:
  issues:
    rules:
      ## Auto close incident reviews when review is completed
      - name: Autoclose incident review
        conditions:
          <<: *needs_window
          ruby: |
            incident_review_completed?
          labels:
            - incident-review
          state: opened
        actions:
          status: close
          comment: |
            Hi {{author}},

            This issue is being closed automatically because a linked incident has the ~"Incident::Review-Completed" label.

            We'd like to ask you to help us out and determine if this was the right decision, if
            you think there is a reason that it should remain open, please add a note explaining
            why and re-open.

            Thanks for your help! :black_heart:

            ----

            You are welcome to help [improve this comment](https://gitlab.com/gitlab-com/gl-infra/triage-ops/blob/master/policies/production/auto-close-incident-reviews.yml).
